%global fontname abattis-cantarell
%global fontconf 69-%{fontname}.conf

%global archivename1 Cantarell-Regular
%global archivename2 Cantarell-Oblique
%global archivename3 Cantarell-Bold
%global archivename4 Cantarell-BoldOblique

Name:           %{fontname}-fonts
Version:        1.001
Release:        2%{?dist}
Summary:        Cantarell sans-serif humanist typeface family

Group:          User Interface/X
License:        GPLv3 with exceptions or OFL 1.1+
URL:            http://abattis.org/cantarell/
Source0:        http://abattis.org/cantarell/%{archivename1}.sfd
Source1:        http://abattis.org/cantarell/%{archivename2}.sfd
Source2:        http://abattis.org/cantarell/%{archivename3}.sfd
Source3:        http://abattis.org/cantarell/%{archivename4}.sfd
Source4:        %{fontname}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  fontforge

%description

Cantarell is a set of fonts designed by Dave Crossland. It is a 
sans-serif humanist typeface family.

%prep
%setup -q -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build
fontforge -lang=ff -c 'Open($1); Generate($2);' %{archivename1}.sfd %{archivename1}.ttf
fontforge -lang=ff -c 'Open($1); Generate($2);' %{archivename2}.sfd %{archivename2}.ttf
fontforge -lang=ff -c 'Open($1); Generate($2);' %{archivename3}.sfd %{archivename3}.ttf
fontforge -lang=ff -c 'Open($1); Generate($2);' %{archivename4}.sfd %{archivename4}.ttf



%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc


%changelog
* Sun Sep 19 2010 Jared Smith <jsmith at fedoraproject.org> - 1.001-2
- Fix problem with fontconfig file

* Sun Sep 19 2010 Jared Smith <jsmith at fedoraproject.org> - 1.001-1
- Initial packaging for Fedora
